using CairoMakie
using LaTeXStrings

print_args1 = (; yticklabelsize = 12,
            xticklabelsize = 12,
            ylabelsize = 14,
            xlabelsize = 14,
            xticklabelfont = "cmr10",
            yticklabelfont = "cmr10",
            xticksize = 2,
            yticksize = 2)

size_cm = (12, 8); size_pt = 28.3 .* size_cm
f = Figure(resolution = size_pt)

xg = range(0.11, 0.96, length = 200); 
ax = Axis(f[1,1], ylabel = L"(V)", xlabel = L"t (s)"; print_args1...)
y = 0.5 .*cos.(2*pi*2 .* xg)
lines!(ax, xg, y,  color = :blue, label = L"V_c(t) (V)")

y = 1 .*cos.(2*pi*2 .* xg .+ pi/3)
lines!(ax, xg, y,  color = :green, label = L"E(t) (V)") 


save("fig6.png",f)
save("fig6.eps",f)
save("fig6.svg",f, pt_per_unit = 1.)


